{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "7.1 Территории - Области" %}


{% block heading %}
    <div class="content-header">
        <ol class="content-header__breadcrumb breadcrumb mb-1">
            <li class="breadcrumb-item">
                <a href="#">Территории</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Области</li>
        </ol>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="card mb-1">
        <div class="card-header align-items-center pb-50">
            <fieldset class="form-group position-relative has-icon-left flex-grow-1">
                <input type="text" class="form-control" placeholder="поиск пользователя">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </fieldset>
            <div class="form-group">
                <button type="button" class="btn btn-primary shadow ml-sm-75">Добавить область</button>
            </div>
        </div>
    </div><!-- card -->

    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive">
                <table class="table m-0 table-transparent table-extended-main table-hover">
                    <thead>
                    <tr>
                        <th class="text-nowrap">Область</th>
                        <th class="text-nowrap">Город</th>
                        <th class="text-nowrap">Район</th>
                        <th class="text-nowrap">Отделение</th>
                        <th></th>
                    </tr><!-- tr -->
                    </thead>
                    <tbody>
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Восточно-Казахстанская</td>
                        <td>Шемонаиха</td>
                        <td>Алдабергенов</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Восточно-Казахстанская</td>
                        <td>Шемонаиха</td>
                        <td>Алдабергенов</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Восточно-Казахстанская</td>
                        <td>Шемонаиха</td>
                        <td>Алдабергенов</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td>Алматинская</td>
                        <td>Талдыкорган</td>
                        <td>Ленинский</td>
                        <td>Конституции Казахстана 70</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Удалить</button>
                        </td>
                    </tr><!-- tr -->


                    </tbody>
                </table><!-- table -->
            </div><!-- table-responsive -->
        </div><!-- card-body -->
    </div><!-- card -->

    <ul class="pagination pagination-borderless justify-content-end mt-2">
        <li class="page-item previous disabled">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-left"></i>
            </a>
        </li>
        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
        <li class="page-item next">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-right"></i>
            </a>
        </li>
    </ul>

{% endblock %}


{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false, "targets": [4] },
                ]
            }
        );
    </script>

{% endblock %}
